Bug 2003391 - latte-dock-0.10.3 is available
Summary: latte-dock-0.10.3 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: latte-dock
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gerald Cox
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-09-11 20:23 UTC by Upstream Release Monitoring
Modified: 2021-11-04 01:33 UTC (History)
2 users (show)

Fixed In Version: latte-dock-0.10.3-1.fc35 latte-dock-0.10.3-1.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-03 01:11:54 UTC
Type: ---


Attachments (Terms of Use)
[patch] Update to 0.10.2 (#2003391) (1.04 KB, patch)
2021-09-11 20:23 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 0.10.3 (#2003391) (1.05 KB, patch)
2021-10-25 17:13 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2021-09-11 20:23:47 UTC
Latest upstream release: 0.10.2
Current version/release in rawhide: 0.10.1-2.20210828git6c17279.fc36
URL: https://store.kde.org/p/1169519/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/15249/

Comment 1 Upstream Release Monitoring 2021-09-11 20:23:51 UTC
One or more of the new sources for this package are identical to the old sources. This is most likely caused either by identical source files between releases, for example service files, or the specfile does not use version macro in its source URLs. If this is the second case, then please update the specfile to use version macro in its source URLs.

Comment 2 Upstream Release Monitoring 2021-09-11 20:23:52 UTC
Created attachment 1822387 [details]
[patch] Update to 0.10.2 (#2003391)

Comment 3 Upstream Release Monitoring 2021-09-11 20:39:01 UTC
the-new-hotness/release-monitoring.org's scratch build of latte-dock-0.10.2-1.20210828git6c17279.fc32.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=75520522

Comment 4 Upstream Release Monitoring 2021-10-25 17:13:35 UTC
Latest upstream release: 0.10.3
Current version/release in rawhide: 0.10.2-2.fc36
URL: https://store.kde.org/p/1169519/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/15249/

Comment 5 Upstream Release Monitoring 2021-10-25 17:13:40 UTC
Created attachment 1836939 [details]
[patch] Update to 0.10.3 (#2003391)

Comment 6 Upstream Release Monitoring 2021-10-25 17:28:30 UTC
the-new-hotness/release-monitoring.org's scratch build of latte-dock-0.10.3-1.fc34.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=77805730

Comment 7 Gerald Cox 2021-10-25 18:34:03 UTC
Version 0.10.3

    support GlobalScale in combination with PLASMA_USE_QT_SCALING properly under X11 environment
    add CornerMargin option for latte and plasma indicators and expose it through the indicators api
    unblock visibility mode properly when Meta is used to show an application launcher such as Win11, Simple menu etc.
    fix focus behavior when applets are requesting input such as knotes applet
    expose indicators iconOffsetX/Y value to applets
    enable/disable "CanBeAboveFullscreenWindows" option properly
    disable GtkFrameExtents for docks and panels that ByPassWindowManager ("CanBeAboveFullscreenWindows" option) under X11
    draw always a contrasted border for latte indicator
    simplify latte indicator implementation
    enforce RoundToIconSize for all applets always and as such the Items Size is always respected. If the user has blur issues with its icons, he should specify an items size that is provided by its icons theme. For example, 16px., 24px., 36px., 48px.
    identify kickofflegacy applet properly
    fix popup positioning for plasma-style popups when the dock background is using very big corner roundness
    prevent session manager from restoring latte just like Spectacle is already doing
    respect virtual desktops navigation wrapping around option
    expose translations for default dock and panel templates

Comment 8 Fedora Update System 2021-10-25 20:00:00 UTC
FEDORA-2021-f001ffc8e7 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-f001ffc8e7

Comment 9 Fedora Update System 2021-10-25 20:00:28 UTC
FEDORA-2021-69cf9c69e6 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-69cf9c69e6

Comment 10 Fedora Update System 2021-10-26 15:42:46 UTC
FEDORA-2021-f001ffc8e7 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-f001ffc8e7`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-f001ffc8e7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2021-10-27 02:28:20 UTC
FEDORA-2021-69cf9c69e6 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-69cf9c69e6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-69cf9c69e6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2021-11-03 01:11:54 UTC
FEDORA-2021-f001ffc8e7 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2021-11-04 01:33:16 UTC
FEDORA-2021-69cf9c69e6 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.